### A free/open-source library for quantitative finance

Public Member Functions
Cap Class Reference
Financial instruments

Concrete cap class. More...

`#include <ql/instruments/capfloor.hpp>`

Inheritance diagram for Cap:
[legend]

List of all members.

## Public Member Functions

| Cap (const Leg &floatingLeg, const std::vector< Rate > &exerciseRates)

## Detailed Description

Concrete cap class.